# MongoDB\BSON\Regex::unserialize

(mongodb >=1.2.0)

MongoDB\BSON\Regex::unserialize — Unserialize a Regex

### Description

final public MongoDB\BSON\Regex::unserialize ( string `$serialized` ) : void

### Parameters

`serialized`

  The serialized MongoDB\BSON\Regex.

### Return Values

Returns the unserialized MongoDB\BSON\Regex.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.
- Throws MongoDB\Driver\Exception\UnexpectedValueException if the properties cannot be unserialized (i.e. `serialized` was malformed).
- Throws MongoDB\Driver\Exception\InvalidArgumentException if the properties are invalid (e.g. missing fields or invalid values).

### See Also

- MongoDB\BSON\Regex::serialize() - Serialize a Regex
- unserialize() - Creates a PHP value from a stored representation
- Serializing Objects